# /etc/akmods/sign-keypair.inc: Akmods keypair sign config.
#
# This file controls signing akmods modules on the system.
# It uses the rpm macros syntax to define global symbol imported
# directly by kmodtool while rebuilding kmods.
#
# __signmodules can take one of these two values:
#     1 - Modules would be signed when akmods rebuild modules.
#     0 - No signed modules when akmods rebuild modules.
# __signmodules_pubkey gives path and name of the public key to be used
# to sign newly build modules.
# __signmodules_privkey gives path and name of the private key to be
# used to sign newly build modules.
#
# __signmodules* macros can be overriden by users and/or packagers
# provided that those values and their dependencies are manually
# checked. Be carefull when modifying these values.
# Signing modules is enabled in Fedora kernels for every arches,
# even if kernels are not signed for arches other than
# %%{ix86} x86_64.
#
## Sign modules on x86. Make sure the config files match this setting if
## more architectures are added.
%{!?__signmodules: %global __signmodules 1}

# This is current keypair enrolled in MOK to sign modules
%{!?__signmodules_pubkey: %global __signmodules_pubkey /etc/pki/akmods/keys/public_key.der}
%{!?__signmodules_privkey: %global __signmodules_privkey /etc/pki/akmods/keys/private_key.priv}
